Team Management
GET
/workspaces/{workspaceId}/teams
Retrieve a list of teams within the workspace, showcasing their members count and other details.
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
sortBy
string
Sort by field specified
Possible values: name
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.id
string
obligatoire
results.workspaceId
string
obligatoire
results.name
string
obligatoire
results.description
string
obligatoire
results.visibility
string
obligatoire
results.accessibility
string
results.activeMemberCount
integer
obligatoire
results.pendingMemberCount
integer
obligatoire
results.featuredMembers
array of object
obligatoire
Afficher les attributs enfants
results.featuredMembers.id
string
obligatoire
results.featuredMembers.type
string
obligatoire
results.hideFromViews
boolean
obligatoire
results.createdAt
string
obligatoire
results.updatedAt
string
obligatoire
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
The total number of results across all pages.
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/teams/{teamId}
Retrieve information about a specific team within the workspace, including its name, and other details.
Corps de la réponse
id
string
obligatoire
workspaceId
string
obligatoire
name
string
obligatoire
description
string
obligatoire
visibility
string
obligatoire
accessibility
string
activeMemberCount
integer
obligatoire
pendingMemberCount
integer
obligatoire
featuredMembers
array of object
obligatoire
Afficher les attributs enfants
featuredMembers.id
string
obligatoire
featuredMembers.type
string
obligatoire
hideFromViews
boolean
obligatoire
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/teams
Create a new team within the workspace, defining its name, and other relevant attributes.
Corps de la requête
name
string
obligatoire
description
string
hideFromViews
boolean
members
array of object
Afficher les paramètres enfants
members.id
string
obligatoire
members.type
string
obligatoire
Corps de la réponse
id
string
obligatoire
workspaceId
string
obligatoire
name
string
obligatoire
description
string
obligatoire
visibility
string
obligatoire
accessibility
string
activeMemberCount
integer
obligatoire
pendingMemberCount
integer
obligatoire
featuredMembers
array of object
obligatoire
Afficher les attributs enfants
featuredMembers.id
string
obligatoire
featuredMembers.type
string
obligatoire
hideFromViews
boolean
obligatoire
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/teams/{teamId}
Modify the details of a specific team within the workspace, such as its name, or other attributes.
Corps de la requête
name
string
description
string
hideFromViews
boolean
Corps de la réponse
id
string
obligatoire
workspaceId
string
obligatoire
name
string
obligatoire
description
string
obligatoire
visibility
string
obligatoire
accessibility
string
activeMemberCount
integer
obligatoire
pendingMemberCount
integer
obligatoire
featuredMembers
array of object
obligatoire
Afficher les attributs enfants
featuredMembers.id
string
obligatoire
featuredMembers.type
string
obligatoire
hideFromViews
boolean
obligatoire
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/teams/{teamId}
Remove a specific team from the workspace, permanently deleting its profile and associated data.
Exemple de code
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/teams/{teamId}/members
Retrieve a list of members within the team, showcasing their names and other details.
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.id
string
obligatoire
results.teamId
string
obligatoire
results.type
string
obligatoire
results.status
string
obligatoire
results.createdAt
string
obligatoire
results.updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/teams/{teamId}/members
Add a new member to the team.
Corps de la requête
id
string
obligatoire
type
string
obligatoire
Possible values: user
Corps de la réponse
id
string
obligatoire
teamId
string
obligatoire
type
string
obligatoire
status
string
obligatoire
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Retrieve information about a specific member within the team, including their name and other details.
Corps de la réponse
id
string
obligatoire
teamId
string
obligatoire
type
string
obligatoire
status
string
obligatoire
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Remove a specific member from the team.
Exemple de code
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'